version: "2"
services:
  todobackend: 
    image: guinome/todobackend
    ports: 
      - 80:3000
    # command: bash -c 'while !</dev/tcp/db/5432; do sleep 1; done; npm start'
    # depends_on:
    #   - db
    environment:
      - DATABASE_URL=postgres://db_user:Lalalilalou#1@todo-db-instance.cmmnyjkqntjq.us-east-2.rds.amazonaws.com:5432/todo
      - PORT=3000   
      - PGUSER=db_user
      - PGPASSWORD=Lalalilalou#1
      - PGDATABASE=todo
      - PGPORT=5432
  # db:
  #   image: postgres
  #   environment:
  #     - PGUSER=db_user
  #     - PGPASSWORD=Lalalilalou#1
  #     - PGDATABASE=todo
  #     - PGPORT=5432